osl::move_classifier::PlayerMoveAdaptor< Classifier > Struct Template Reference

`#include <moveAdaptor.h>`

## Static Public Member Functions

template<class State>
static bool | isMember (const State &state, Move m)

## Detailed Description

template<template< Player > class Classifier>
struct osl::move_classifier::PlayerMoveAdaptor< Classifier >

Definition at line 22 of file moveAdaptor.h.

## Member Function Documentation

## isMember()

template<template< Player > class Classifier>
template<class State>

bool osl::move_classifier::PlayerMoveAdaptor< Classifier >::isMember | ( | const State & | state,
|  | Move | m )

inline static

Definition at line 25 of file moveAdaptor.h.

References osl::BLACK, osl::Move::from(), osl::Move::player(), osl::Move::ptype(), and osl::Move::to().

Referenced by osl::rating::FeatureSet::generateRating(), and osl::move_classifier::ConditionAdaptor< Classifier >::isMember().

The documentation for this struct was generated from the following file:

- moveAdaptor.h